Schema "fpml-main-5-3.xsd"
Target Namespace:

  http://www.fpml.org/FpML-5/confirmation

Version:

  $Revision: 8615 $

Defined Components:

  2 global elements, 1 complexType

Default Namespace-Qualified Form:

  Local Elements: qualified; Local Attributes: unqualified

Schema Location:

  C:\Irina-Local\SVN-FpML\trunk\xml\confirmation\fpml-main-5-3.xsd; see XML source

Includes Schemas (12):

  fpml-bond-option-5-3.xsd [src], fpml-cd-5-3.xsd [src], fpml-com-5-3.xsd [src], fpml-confirmation-processes-5-3.xsd [src], fpml-correlation-swaps-5-3.xsd [src], fpml-dividend-swaps-5-3.xsd [src], fpml-eqd-5-3.xsd [src], fpml-fx-5-3.xsd [src], fpml-ird-5-3.xsd [src], fpml-return-swaps-5-3.xsd [src], fpml-valuation-5-3.xsd [src], fpml-variance-swaps-5-3.xsd [src]

Annotation
Annotation 1 [src]:
products
Annotation 2 [src]:
business process messaging
Annotation 3 [src]:
reporting and settlement

All Element Summary
dataDocument | A document containing trade and/or portfolio and/or party data without expressing any processing intention.
Type: | DataDocument
Content: | complex, 3 attributes, 10 elements
Defined: | globally; see XML source
Used: | never
valuationDocument | A document that includes trade and/or valuation (pricing and risk) data without expressing any processing intention.
Type: | ValuationDocument
Content: | complex, 3 attributes, 12 elements
Defined: | globally; see XML source
Used: | never

Complex Type Summary
ValuationDocument | A type defining a content model that includes valuation (pricing and risk) data without expressing any processing intention.
Content: | complex, 3 attributes, 12 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location

XML Source

<?xml version="1.0" encoding="utf-8"?> <!-- == Copyright (c) 2002-2011 All rights reserved. == Financial Products Markup Language is subject to the FpML public license. == A copy of this license is available at http://www.fpml.org/license/license.html --> <xsd:schema attributeFormDefault="unqualified" ecore:documentRoot="FpML" ecore:nsPrefix="conf" ecore:package="org.fpml.confirmation" elementFormDefault="qualified" targetNamespace="http://www.fpml.org/FpML-5/confirmation" version="$Revision: 8615 $" xmlns="http://www.fpml.org/FpML-5/confirmation" xmlns:dsig="http://www.w3.org/2000/09/xmldsig#" xmlns:ecore="http://www.eclipse.org/emf/2002/Ecore" xmlns:fpml-annotation="http://www.fpml.org/annotation" xmlns:view="http://www.fpml.org/views" xmlns:xsd="http://www.w3.org/2001/XMLSchema"> <xsd:annotation> <xsd:documentation xml:lang="en">products</xsd:documentation> </xsd:annotation> <xsd:include schemaLocation="fpml-ird-5-3.xsd"/> <xsd:include schemaLocation="fpml-fx-5-3.xsd"/> <xsd:include schemaLocation="fpml-eqd-5-3.xsd"/> <xsd:include schemaLocation="fpml-return-swaps-5-3.xsd"/> <xsd:include schemaLocation="fpml-cd-5-3.xsd"/> <xsd:include schemaLocation="fpml-bond-option-5-3.xsd"/> <xsd:include schemaLocation="fpml-correlation-swaps-5-3.xsd"/> <xsd:include schemaLocation="fpml-dividend-swaps-5-3.xsd"/> <xsd:include schemaLocation="fpml-variance-swaps-5-3.xsd"/> <xsd:include schemaLocation="fpml-com-5-3.xsd"/> <xsd:annotation> <xsd:documentation xml:lang="en">business process messaging</xsd:documentation> </xsd:annotation> <xsd:include schemaLocation="fpml-confirmation-processes-5-3.xsd"/> <xsd:annotation> <xsd:documentation xml:lang="en">reporting and settlement</xsd:documentation> </xsd:annotation> <xsd:include schemaLocation="fpml-valuation-5-3.xsd"/> <xsd:complexType name="ValuationDocument"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining a content model that includes valuation (pricing and risk) data without expressing any processing intention. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="DataDocument"> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" ref="market"/> <xsd:element maxOccurs="unbounded" minOccurs="0" ref="valuationSet"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:element name="dataDocument" type="DataDocument"> <xsd:annotation> <xsd:documentation xml:lang="en"> A document containing trade and/or portfolio and/or party data without expressing any processing intention. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="valuationDocument" type="ValuationDocument"> <xsd:annotation> <xsd:documentation xml:lang="en"> A document that includes trade and/or valuation (pricing and risk) data without expressing any processing intention. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:schema>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.